Bug 193445 - [nis] ypserv(8) and ypbind(8) lack IPv6 RPC support
Summary: [nis] ypserv(8) and ypbind(8) lack IPv6 RPC support
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 10.0-RELEASE
Hardware: amd64 Any
: --- Affects Some People
Assignee: Hiroki Sato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-07 21:22 UTC by Roger Leigh
Modified: 2018-05-28 19:41 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roger Leigh 2014-09-07 21:22:58 UTC
On a server with NIS configured:

 rpcinfo -s
   program version(s) netid(s)                         service     owner
    100000  2,3,4     local,udp6,tcp6,udp,tcp          rpcbind     superuser
    100004  2,1       tcp,udp                          ypserv      superuser
    100007  2         tcp,udp                          ypbind      superuser
    100005  3,1       tcp,udp,tcp6,udp6                mountd      superuser
    100003  3,2       tcp6,tcp,udp6,udp                nfs         superuser
    100024  1         tcp,udp,tcp6,udp6                status      superuser
    100021  4,3,1,0   tcp,udp,tcp6,udp6                nlockmgr    superuser

ypserv is inaccessible to other hosts on the IPv6 LAN, and also to IPv6 jails on the same host.

http://lists.freebsd.org/pipermail/freebsd-net/2008-October/019691.html

It looks like a patch exists to remedy this (but it doesn't appear to have been applied checking 10.0-STABLE):

http://lists.freebsd.org/pipermail/svn-src-user/2011-May/003941.html

Regards,
Roger
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:41:59 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.